List server resources
curl --request GET \
--url https://api.example.com/v1/api/servers/{serverId}/resources \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/api/servers/{serverId}/resources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/api/servers/{serverId}/resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resources": [
{
"serverReady": true,
"runtimeState": {
"desiredState": "running",
"driftReasons": [
"<string>"
],
"driftStatus": "unknown",
"healthStatus": "unknown",
"ingressStatus": "unknown",
"observedState": "unknown",
"checkedAt": "2023-11-07T05:31:56Z",
"ingressContainerName": "<string>",
"ingressImage": "<string>",
"ingressRestartCount": 123,
"observedContainerName": "<string>",
"observedImage": "<string>"
},
"archivedAt": "2023-11-07T05:31:56Z",
"config": {
"autoDeploy": true,
"vulnerabilityScanning": true,
"container": {
"port": 123,
"network": "<string>",
"networkAlias": "<string>",
"volumes": [
{
"name": "<string>",
"mountPath": "<string>",
"initialData": "image"
}
],
"resources": {
"cpus": 123,
"memory": "<string>"
}
},
"context": "<string>",
"deploymentInputs": [
"<string>"
],
"health": {
"path": "<string>",
"timeoutSeconds": 123
},
"hooks": {
"postDeploy": {
"command": [
"<string>"
],
"timeoutSeconds": 123
},
"preDeploy": {
"command": [
"<string>"
],
"timeoutSeconds": 123
}
},
"id": "<string>",
"name": "<string>",
"server": "<string>",
"sourceBranch": "<string>",
"logDrains": [
"otlp"
],
"jobs": [
{
"name": "<string>",
"command": [
"<string>"
],
"schedule": {
"cron": "<string>",
"timezone": "UTC"
},
"timeoutSeconds": 123,
"enabled": true,
"description": "<string>"
}
],
"kind": "app",
"buildServer": {
"ip": "<string>",
"allowRuntimeFallback": true,
"transfer": "registry",
"registry": "<string>",
"architecture": "amd64"
},
"deployment": {
"type": "dockerfile",
"context": "<string>",
"arguments": {},
"resources": {
"cpus": 123,
"memory": "<string>"
},
"dockerfile": "<string>",
"timeoutSeconds": 123,
"target": "<string>",
"architecture": "amd64",
"cache": {
"enabled": true,
"scope": "<string>"
}
},
"description": "<string>",
"dockerfile": "<string>",
"domains": {
"primary": "<string>",
"redirects": [
{
"host": "<string>",
"status": 301
}
]
},
"preview": {
"domain": "<string>",
"enabled": true,
"ttlHours": 123
},
"externalSecrets": {},
"ingress": {
"type": "proxy"
},
"rollout": {
"type": "rolling",
"replicas": 123,
"maxSurge": 123,
"maxUnavailable": 123,
"startupDeadlineSeconds": 123,
"minimumHealthySeconds": 123,
"failureThreshold": 123,
"drainSeconds": 123,
"terminationSeconds": 123
},
"telemetry": {
"integration": "<string>",
"signals": [
"metrics"
],
"protocol": "otlp-http",
"sampling": 123,
"cardinalityLimit": 123,
"redactAttributes": [
"<string>"
]
},
"tls": {
"mode": "direct"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"kind": "app",
"manifestId": "<string>",
"name": "<string>",
"serverIp": "<string>",
"sourceId": "<string>",
"sourceRevision": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"localization": {
"dateFormat": "day-short-month-year",
"timeFormat": "24-hour",
"timeZone": "<string>",
"timestamps": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}List server resources through the Towbar REST API.
GET
/
servers
/
{serverId}
/
resources
List server resources
Required permissions: server.read. Personal keys are capped by their owner’s current team role.
See request conventions and automation workflows. MCP clients use the task-oriented tool catalogue.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Last modified on September 5, 2026
